Tag Parser: TagParser::SegmentData Struct Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TagParser::SegmentData Struct Reference

The private SegmentData struct is used in MatroskaContainer::internalMakeFile() to store segment specific data. More...

Collaboration diagram for TagParser::SegmentData:
[legend]

## Public Member Functions
| SegmentData ()
| Constructs a new segment data object.
| SegmentData (SegmentData &&)=default

## Public Attributes
bool | hasCrc32
| whether CRC-32 checksum is present
MatroskaSeekInfo | seekInfo
| used to make "SeekHead"-element
EbmlElement * | cuesElement
| "Cues"-element (original file)
MatroskaCuePositionUpdater | cuesUpdater
| used to make "Cues"-element
std::uint64_t | infoDataSize
| size of the "SegmentInfo"-element
std::vector< std::uint64_t > | clusterSizes
| cluster sizes, needed because cluster elements are not necessarily copied as-is so they're size might change
EbmlElement * | firstClusterElement
| first "Cluster"-element (original file)
std::uint64_t | clusterEndOffset
| end offset of last "Cluster"-element (original file)
std::uint64_t | startOffset
| start offset (in the new file)
std::uint64_t | newPadding
| padding (in the new file)
std::uint64_t | totalDataSize
| total size of the segment data (in the new file, excluding header)
std::uint64_t | totalSize
| total size of the segment data (in the new file, including header)
std::uint64_t | newDataOffset
| data offset of the segment in the new file
std::uint8_t | sizeDenotationLength
| header size (in the new file)

## Detailed Description

The private SegmentData struct is used in MatroskaContainer::internalMakeFile() to store segment specific data.

Definition at line 813 of file matroskacontainer.cpp.

## Constructor & Destructor Documentation

## ◆ SegmentData() [1/2]

TagParser::SegmentData::SegmentData | ( |  | ) |
| inline

Constructs a new segment data object.

Definition at line 815 of file matroskacontainer.cpp.

## ◆ SegmentData() [2/2]

TagParser::SegmentData::SegmentData | ( | SegmentData && |  | ) |
| default

## Member Data Documentation

## ◆ clusterEndOffset

std::uint64_t TagParser::SegmentData::clusterEndOffset

end offset of last "Cluster"-element (original file)

Definition at line 846 of file matroskacontainer.cpp.

## ◆ clusterSizes

std::vector<std::uint64_t> TagParser::SegmentData::clusterSizes

cluster sizes, needed because cluster elements are not necessarily copied as-is so they're size might change

Definition at line 842 of file matroskacontainer.cpp.

## ◆ cuesElement

EbmlElement* TagParser::SegmentData::cuesElement

"Cues"-element (original file)

Definition at line 836 of file matroskacontainer.cpp.

## ◆ cuesUpdater

MatroskaCuePositionUpdater TagParser::SegmentData::cuesUpdater

used to make "Cues"-element

Definition at line 838 of file matroskacontainer.cpp.

## ◆ firstClusterElement

EbmlElement* TagParser::SegmentData::firstClusterElement

first "Cluster"-element (original file)

Definition at line 844 of file matroskacontainer.cpp.

## ◆ hasCrc32

bool TagParser::SegmentData::hasCrc32

whether CRC-32 checksum is present

Definition at line 832 of file matroskacontainer.cpp.

## ◆ infoDataSize

std::uint64_t TagParser::SegmentData::infoDataSize

size of the "SegmentInfo"-element

Definition at line 840 of file matroskacontainer.cpp.

## ◆ newDataOffset

std::uint64_t TagParser::SegmentData::newDataOffset

data offset of the segment in the new file

Definition at line 856 of file matroskacontainer.cpp.

## ◆ newPadding

std::uint64_t TagParser::SegmentData::newPadding

padding (in the new file)

Definition at line 850 of file matroskacontainer.cpp.

## ◆ seekInfo

MatroskaSeekInfo TagParser::SegmentData::seekInfo

used to make "SeekHead"-element

Definition at line 834 of file matroskacontainer.cpp.

## ◆ sizeDenotationLength

std::uint8_t TagParser::SegmentData::sizeDenotationLength

header size (in the new file)

Definition at line 858 of file matroskacontainer.cpp.

## ◆ startOffset

std::uint64_t TagParser::SegmentData::startOffset

start offset (in the new file)

Definition at line 848 of file matroskacontainer.cpp.

## ◆ totalDataSize

std::uint64_t TagParser::SegmentData::totalDataSize

total size of the segment data (in the new file, excluding header)

Definition at line 852 of file matroskacontainer.cpp.

## ◆ totalSize

std::uint64_t TagParser::SegmentData::totalSize

total size of the segment data (in the new file, including header)

Definition at line 854 of file matroskacontainer.cpp.

The documentation for this struct was generated from the following file:

- matroska/matroskacontainer.cpp